Bug 1594548 - [RFE] Ensure Cockpit is installed properly (on Engine): cockpit-bridge is not a deps, causing login failure to cockpit
Summary: [RFE] Ensure Cockpit is installed properly (on Engine): cockpit-bridge is not...
Keywords:
Status: VERIFIED
Alias: None
Product: ovirt-appliance
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.4.0
: ---
Assignee: Nir Levy
QA Contact: Petr Kubica
URL:
Whiteboard:
Depends On:
Blocks: 1729484
TreeView+ depends on / blocked
 
Reported: 2018-06-24 08:45 UTC by Yaniv Kaul
Modified: 2020-01-23 14:38 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Integration
ykaul: needinfo+
rule-engine: ovirt-4.4?
mtessun: planning_ack+
sbonazzo: devel_ack+
lleistne: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 99645 master MERGED build: using cockpit package, enabling login to Cockpit 2020-01-23 14:38:24 UTC

Description Yaniv Kaul 2018-06-24 08:45:57 UTC
Description of problem:
I think Cockpit is installed as a deps of some oVirt cockpit plugin, but it's not installed correctly, and I until I install cockpit-bridge I cannot login to Cockpit.

Version-Release number of selected component (if applicable):
[root@lago-basic-suite-master-engine ~]# rpm -qa |grep cockpit
cockpit-dashboard-165-3.el7.centos.x86_64
ovirt-cockpit-sso-0.0.4-1.el7.noarch
cockpit-ws-165-3.el7.centos.x86_64


How reproducible:
Always (on my O-S-T at least).

This is not an issue on the hosts.

Steps to Reproduce:
Tried to enable and login to Cockpit on my Engine machine (on O-S-T).

Actual results:


Expected results:


Additional info:

Comment 1 Ryan Barry 2018-06-24 15:04:58 UTC
cockpit-ovirt doesn't actually appear to be installed here.

ovirt-cockpit-sso is part of a different project, which is confusing (along with cockpit-machines-ovirt).

What does rpm -q --whatrequires cockpit-[dashboard|ws] say?

Specifically:

cockpit-ovirt itself requires the cockpit metapackage. The cockpit metapackage requires cockpit-bridge.

cockpit-bridge handles all dbus interaction from cockpit-ws back to the base system (including logins).

Generally, ovirt-host pulls in cockpit-ovirt, which pulls in cockpit, which pulls in cockpit-bridge.

We'll want to add the appropriate deps to whatever only pulled in some cockpit packages...

Comment 2 Yaniv Kaul 2018-06-24 15:25:52 UTC
(In reply to Ryan Barry from comment #1)
> cockpit-ovirt doesn't actually appear to be installed here.
> 
> ovirt-cockpit-sso is part of a different project, which is confusing (along
> with cockpit-machines-ovirt).
> 
> What does rpm -q --whatrequires cockpit-[dashboard|ws] say?
> 
> Specifically:
> 
> cockpit-ovirt itself requires the cockpit metapackage. The cockpit
> metapackage requires cockpit-bridge.
> 
> cockpit-bridge handles all dbus interaction from cockpit-ws back to the base
> system (including logins).
> 
> Generally, ovirt-host pulls in cockpit-ovirt, which pulls in cockpit, which
> pulls in cockpit-bridge.

I'm talking about the Engine here, not the host.

> 
> We'll want to add the appropriate deps to whatever only pulled in some
> cockpit packages...

As part of ovirt-engine RPM, I guess some Cockpit packages are installed:
[root@lago-basic-suite-master-engine ~]# tail -f /var/log/yum.log |grep cockpit
Jun 24 11:20:30 Installed: cockpit-dashboard-165-3.el7.centos.x86_64
Jun 24 11:22:02 Installed: cockpit-ws-165-3.el7.centos.x86_64
Jun 24 11:22:03 Installed: ovirt-cockpit-sso-0.0.4-1.el7.noarch


[root@lago-basic-suite-master-engine ~]# rpm -q --whatrequires cockpit-dashboard
ovirt-cockpit-sso-0.0.4-1.el7.noarch
[root@lago-basic-suite-master-engine ~]# rpm -q --whatrequires cockpit-ws
ovirt-cockpit-sso-0.0.4-1.el7.noarch
[root@lago-basic-suite-master-engine ~]# rpm -q --whatrequires ovirt-cockpit-sso
ovirt-engine-4.3.0-0.0.master.20180624121652.git9cb7d33.el7.noarch

Comment 3 Michal Skrivanek 2018-06-25 05:08:36 UTC
Cockpit is not being fully installed on engine host, only the sso part which proxies to the actual host. 
NOTABUG unless there is any issue with it

Comment 4 Michal Skrivanek 2018-06-25 05:09:50 UTC
or RFE if we do want cockpit there as well

Comment 5 Michal Skrivanek 2018-06-25 09:49:34 UTC
moving to Integration. It's not a high prio, but it shouldn't be that difficult either as we have it working on hosts

Comment 6 cshao 2018-11-06 10:16:30 UTC
Move back QA Contact to RHV QE due to this is a engine bug.

Comment 7 Sandro Bonazzola 2019-01-23 09:40:02 UTC
Martin, do we want cockpit to be installed and fully configured to be up and running on the appliance? If not, I would close this as wontfix.

Comment 8 Martin Tessun 2019-01-30 08:29:25 UTC
(In reply to Sandro Bonazzola from comment #7)
> Martin, do we want cockpit to be installed and fully configured to be up and
> running on the appliance? If not, I would close this as wontfix.

I believe we want to, as cockpit should be supported across all OS related content, which includes the engine.

Setting priority and target milestone appropriately

Comment 12 Petr Kubica 2020-01-23 14:38:15 UTC
Verified in rhvm-appliance-4.4-20200116.0.el8ev.x86_64

accessible running cockpit on port 9090


Note You need to log in before you can comment on or make changes to this bug.